org.keycloak.saml.common.constants

## Interface GeneralConstants

-     public interface GeneralConstants

  Constants
  Since:
    Oct 8, 2009
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSERTION`
    `static String` | `ASSERTION_ID`
    `static String` | `ASSERTION_SESSION_ATTRIBUTE_NAME` `SAML2AuthenticationHandler` configuration option to set the assertion into the `HttpSession`.
    `static String` | `ASSERTIONS_VALIDITY`
    `static String` | `ATTIBUTE_MANAGER`
    `static String` | `ATTRIBUTE_CHOOSE_FRIENDLY_NAME`
    `static String` | `ATTRIBUTE_KEYS`
    `static String` | `ATTRIBUTES`
    `static String` | `AUDIT_ENABLE`
    `static String` | `AUDIT_HELPER`
    `static String` | `AUDIT_SECURITY_DOMAIN`
    `static String` | `AUTH_REQUEST_ID`
    `static String` | `AUTHN_CONTEXT_CLASSES`
    `static String` | `BASE64_ENCODE_WSTRUST_SECRET_KEY`
    `static String` | `CLOCK_SKEW`
    `static String` | `CONFIG_FILE_LOCATION`
    `static String` | `CONFIG_PROVIDER`
    `static String` | `CONFIGURATION`
    `static String` | `CONTEXT_PATH`
    `static String` | `DECRYPTING_KEY`
    `static String` | `DEPRECATED_CONFIG_FILE_LOCATION`
    `static String` | `ERROR_PAGE_NAME`
    `static String` | `GLOBAL_LOGOUT`
    `static String` | `HANDLER_CONFIG_FILE_LOCATION`
    `static String` | `HTTP_HEADER_X_REQUESTED_WITH`
    `static String` | `IDENTITY_PARTICIPANT_STACK`
    `static String` | `IDENTITY_SERVER`
    `static String` | `IDP_SSO_METADATA_DESCRIPTOR`
    `static String` | `IGNORE_SIGNATURES`
    `static String` | `KEYPAIR`
    `static String` | `LOCAL_LOGOUT`
    `static String` | `LOGIN_TYPE`
    `static String` | `LOGOUT_PAGE`
    `static String` | `LOGOUT_PAGE_NAME`
    `static String` | `NAMEID_FORMAT`
    `static String` | `PASS_FIELD`
    `static String` | `PRINCIPAL_ID`
    `static String` | `RELAY_STATE`
    `static String` | `REQUESTED_AUTHN_CONTEXT_COMPARISON`
    `static String` | `ROLE_GENERATOR`
    `static String` | `ROLE_VALIDATOR`
    `static String` | `ROLE_VALIDATOR_IGNORE`
    `static String` | `ROLES`
    `static String` | `ROLES_ID`
    `static String` | `SAML_ENC_ALGORITHM`
    `static String` | `SAML_ENC_KEY_SIZE`
    `static String` | `SAML_IDP_STRICT_POST_BINDING`
    `static String` | `SAML_REQUEST_KEY`
    `static String` | `SAML_RESPONSE_KEY`
    `static String` | `SAML_SIG_ALG_REQUEST_KEY`
    `static String` | `SAML_SIGNATURE_REQUEST_KEY`
    `static String` | `SENDER_PUBLIC_KEY`
    `static String` | `SESSION_ATTRIBUTE_MAP`
    `static String` | `SIGN_OUTGOING_MESSAGES`
    `static String` | `SP_SSO_METADATA_DESCRIPTOR`
    `static String` | `SSO_METADATA_DESCRIPTOR`
    `static String` | `SUPPORTS_SIGNATURES`
    `static String` | `TCCL_JAXP`
    `static String` | `TIMEZONE`
    `static String` | `TIMEZONE_DEFAULT`
    `static String` | `USERNAME_FIELD`
    `static String` | `X509CERTIFICATE`

- - ### Field Detail

    - #### ASSERTIONS_VALIDITY

          static final String ASSERTIONS_VALIDITY

      See Also:
        Constant Field Values

    - #### CLOCK_SKEW

          static final String CLOCK_SKEW

      See Also:
        Constant Field Values

    - #### ASSERTION_ID

          static final String ASSERTION_ID

      See Also:
        Constant Field Values

    - #### ASSERTION

          static final String ASSERTION

      See Also:
        Constant Field Values

    - #### ATTRIBUTES

          static final String ATTRIBUTES

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_KEYS

          static final String ATTRIBUTE_KEYS

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_CHOOSE_FRIENDLY_NAME

          static final String ATTRIBUTE_CHOOSE_FRIENDLY_NAME

      See Also:
        Constant Field Values

    - #### ATTIBUTE_MANAGER

          static final String ATTIBUTE_MANAGER

      See Also:
        Constant Field Values

    - #### AUDIT_ENABLE

          static final String AUDIT_ENABLE

      See Also:
        Constant Field Values

    - #### AUDIT_HELPER

          static final String AUDIT_HELPER

      See Also:
        Constant Field Values

    - #### AUDIT_SECURITY_DOMAIN

          static final String AUDIT_SECURITY_DOMAIN

      See Also:
        Constant Field Values

    - #### CONFIGURATION

          static final String CONFIGURATION

      See Also:
        Constant Field Values

    - #### CONFIG_FILE_LOCATION

          static final String CONFIG_FILE_LOCATION

      See Also:
        Constant Field Values

    - #### CONFIG_PROVIDER

          static final String CONFIG_PROVIDER

      See Also:
        Constant Field Values

    - #### CONTEXT_PATH

          static final String CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### DEPRECATED_CONFIG_FILE_LOCATION

          static final String DEPRECATED_CONFIG_FILE_LOCATION

      See Also:
        Constant Field Values

    - #### LOCAL_LOGOUT

          static final String LOCAL_LOGOUT

      See Also:
        Constant Field Values

    - #### GLOBAL_LOGOUT

          static final String GLOBAL_LOGOUT

      See Also:
        Constant Field Values

    - #### HANDLER_CONFIG_FILE_LOCATION

          static final String HANDLER_CONFIG_FILE_LOCATION

      See Also:
        Constant Field Values

    - #### IDENTITY_SERVER

          static final String IDENTITY_SERVER

      See Also:
        Constant Field Values

    - #### IDENTITY_PARTICIPANT_STACK

          static final String IDENTITY_PARTICIPANT_STACK

      See Also:
        Constant Field Values

    - #### IGNORE_SIGNATURES

          static final String IGNORE_SIGNATURES

      See Also:
        Constant Field Values

    - #### KEYPAIR

          static final String KEYPAIR

      See Also:
        Constant Field Values

    - #### LOGIN_TYPE

          static final String LOGIN_TYPE

      See Also:
        Constant Field Values

    - #### LOGOUT_PAGE

          static final String LOGOUT_PAGE

      See Also:
        Constant Field Values

    - #### LOGOUT_PAGE_NAME

          static final String LOGOUT_PAGE_NAME

      See Also:
        Constant Field Values

    - #### NAMEID_FORMAT

          static final String NAMEID_FORMAT

      See Also:
        Constant Field Values

    - #### PRINCIPAL_ID

          static final String PRINCIPAL_ID

      See Also:
        Constant Field Values

    - #### RELAY_STATE

          static final String RELAY_STATE

      See Also:
        Constant Field Values

    - #### ROLES

          static final String ROLES

      See Also:
        Constant Field Values

    - #### ROLES_ID

          static final String ROLES_ID

      See Also:
        Constant Field Values

    - #### ROLE_GENERATOR

          static final String ROLE_GENERATOR

      See Also:
        Constant Field Values

    - #### ROLE_VALIDATOR

          static final String ROLE_VALIDATOR

      See Also:
        Constant Field Values

    - #### ROLE_VALIDATOR_IGNORE

          static final String ROLE_VALIDATOR_IGNORE

      See Also:
        Constant Field Values

    - #### SAML_REQUEST_KEY

          static final String SAML_REQUEST_KEY

      See Also:
        Constant Field Values

    - #### SAML_RESPONSE_KEY

          static final String SAML_RESPONSE_KEY

      See Also:
        Constant Field Values

    - #### SAML_SIG_ALG_REQUEST_KEY

          static final String SAML_SIG_ALG_REQUEST_KEY

      See Also:
        Constant Field Values

    - #### SAML_SIGNATURE_REQUEST_KEY

          static final String SAML_SIGNATURE_REQUEST_KEY

      See Also:
        Constant Field Values

    - #### SAML_IDP_STRICT_POST_BINDING

          static final String SAML_IDP_STRICT_POST_BINDING

      See Also:
        Constant Field Values

    - #### TCCL_JAXP

          static final String TCCL_JAXP

      See Also:
        Constant Field Values

    - #### TIMEZONE

          static final String TIMEZONE

      See Also:
        Constant Field Values

    - #### TIMEZONE_DEFAULT

          static final String TIMEZONE_DEFAULT

      See Also:
        Constant Field Values

    - #### DECRYPTING_KEY

          static final String DECRYPTING_KEY

      See Also:
        Constant Field Values

    - #### SP_SSO_METADATA_DESCRIPTOR

          static final String SP_SSO_METADATA_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### IDP_SSO_METADATA_DESCRIPTOR

          static final String IDP_SSO_METADATA_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### SSO_METADATA_DESCRIPTOR

          static final String SSO_METADATA_DESCRIPTOR

      See Also:
        Constant Field Values

    - #### SENDER_PUBLIC_KEY

          static final String SENDER_PUBLIC_KEY

      See Also:
        Constant Field Values

    - #### SIGN_OUTGOING_MESSAGES

          static final String SIGN_OUTGOING_MESSAGES

      See Also:
        Constant Field Values

    - #### SUPPORTS_SIGNATURES

          static final String SUPPORTS_SIGNATURES

      See Also:
        Constant Field Values

    - #### SESSION_ATTRIBUTE_MAP

          static final String SESSION_ATTRIBUTE_MAP

      See Also:
        Constant Field Values

    - #### USERNAME_FIELD

          static final String USERNAME_FIELD

      See Also:
        Constant Field Values

    - #### PASS_FIELD

          static final String PASS_FIELD

      See Also:
        Constant Field Values

    - #### AUTH_REQUEST_ID

          static final String AUTH_REQUEST_ID

      See Also:
        Constant Field Values

    - #### ERROR_PAGE_NAME

          static final String ERROR_PAGE_NAME

      See Also:
        Constant Field Values

    - #### SAML_ENC_KEY_SIZE

          static final String SAML_ENC_KEY_SIZE

      See Also:
        Constant Field Values

    - #### SAML_ENC_ALGORITHM

          static final String SAML_ENC_ALGORITHM

      See Also:
        Constant Field Values

    - #### ASSERTION_SESSION_ATTRIBUTE_NAME

          static final String ASSERTION_SESSION_ATTRIBUTE_NAME

      `SAML2AuthenticationHandler` configuration option to set the assertion into the `HttpSession`.

      See Also:
        Constant Field Values

    - #### X509CERTIFICATE

          static final String X509CERTIFICATE

      See Also:
        Constant Field Values

    - #### AUTHN_CONTEXT_CLASSES

          static final String AUTHN_CONTEXT_CLASSES

      See Also:
        Constant Field Values

    - #### REQUESTED_AUTHN_CONTEXT_COMPARISON

          static final String REQUESTED_AUTHN_CONTEXT_COMPARISON

      See Also:
        Constant Field Values

    - #### BASE64_ENCODE_WSTRUST_SECRET_KEY

          static final String BASE64_ENCODE_WSTRUST_SECRET_KEY

      See Also:
        Constant Field Values

    - #### HTTP_HEADER_X_REQUESTED_WITH

          static final String HTTP_HEADER_X_REQUESTED_WITH

      See Also:
        Constant Field Values

Copyright © 2016 JBoss by Red Hat. All rights reserved.